/*
 AJGrep

 Luc Maranget, projet Moscova, Inria Rocquencourt
 
 Copyright 2006 Institut National de Recherche en Informatique et    
 en Automatique.  All rights reserved.  This file is distributed     
 under the terms of the Q Public License version 1.0.          
*/

class Table2 extends Table1 {
  private States mSharp ;
  private States stemp ;

  Table2(Auto a, int nerrs, States ex) {
    super(a, nerrs, ex) ;
    //    System.err.println("Niveau b") ;
    mSharp = ex.empty() ;
    stemp = ex.empty() ;
    for (int i = 0 ; i < fstate ; i++) {
      if (a.sharp[i]) mSharp.add(i) ; 
    }
  }

  void step(States s, char c) {
    stemp.assign(s) ;
    stemp.and(mSharp) ;
    super.step(s,c) ;
    s.or(stemp) ;
  }

}
